import P2PLoader from '../Loaders/P2PLoader';
import { VideoSegment } from '../Storage/VideoSegment';
/**
 * @class
 * @description This class connect to cdn the cdb balancer api and hepls to get data
 * @exports TestProfilesBusinessObject
 */
export default class TestPeersBusinessObject {
    private static _instance;
    private p2pLoader;
    bandwidth: Map<string, number>;
    pingTime: Map<string, number>;
    private _isMonitoring;
    private _pingBroadcastTimeInSeconds;
    private _lastPingBroadcast;
    private lastDownloadedSegment?;
    constructor(p2pLoader: P2PLoader);
    newDownloadedSegment(segment: VideoSegment): void;
    monitor(): Promise<void>;
    private testPeer;
    static getInstance(p2pLoader?: P2PLoader): TestPeersBusinessObject;
}
